import subprocess
import os

def main():
    # 获取当前工作目录（即 main.py 所在的目录）
    current_directory = os.path.dirname(os.path.abspath(__file__))

    # 拼接 exe 文件的路径
    exe_path = os.path.join(current_directory, 'elasticsearch-core-mcp-server.exe')

    ES_URL = os.getenv('ES_URL', '')
    ES_API_KEY = os.getenv('ES_API_KEY', '')
    # 使用 subprocess 启动 exe 文件
    try:
        subprocess.call([exe_path, "stdio"], env={"ES_URL": ES_URL, "ES_API_KEY": ES_API_KEY}, cwd=current_directory)
        print("程序启动成功")
    except Exception as e:
        raise RuntimeError(f"启动程序失败: {e}")
